/*
 * flash.h: flashing user config and system option bytes
 *
 * file creation: 20231019 0129
 */

#ifndef _INC_FLASH_H
#define _INC_FLASH_H



#define FLASH_HSI_4MHz		(uint32_t *)0x1FFF0F1C
#define FLASH_HSI_8MHz		(uint32_t *)0x1FFF0F30
#define FLASH_HSI_16MHz		(uint32_t *)0x1FFF0F44
#define FLASH_HSI_22_12MHz	(uint32_t *)0x1FFF0F58
#define FLASH_HSI_24MHz		(uint32_t *)0x1FFF0F6C



void flash_init();



#endif /* _INC_FLASH_H */